//
//  PRButton.m
//  PurpleRain
//

#import "PRButton.h"
#import "PRButtonCell.h"


@implementation PRButton

- (void)viewDidMoveToWindow
{
	if (![self window] || [[self trackingAreas] count])
		return;
	
	// add the tracking area for mouse events
	NSTrackingAreaOptions options = NSTrackingMouseEnteredAndExited | NSTrackingActiveInKeyWindow | NSTrackingInVisibleRect;
	NSTrackingArea *area = [[[NSTrackingArea alloc] initWithRect:NSZeroRect options:options owner:self userInfo:nil] autorelease];
	[self addTrackingArea:area];
}

- (void)mouseEntered:(NSEvent *)event
{
	// mouse entered the button, redraw
	((PRButtonCell *)[self cell]).mouseOver = YES;
	[self setNeedsDisplay:YES];
}

- (void)mouseExited:(NSEvent *)event
{
	// mouse left the button, redraw
	((PRButtonCell *)[self cell]).mouseOver = NO;
	[self setNeedsDisplay:YES];
}

@end
